
%global _sbindir /sbin
%define snapshot 20131113

Summary:        Random number generator related utilities
Name:           rng-utils
Version:        4
Release:	1%{?dist}
Epoch:		1
Group:          System Environment/Base
License:        GPL
Source0: 	rng-tools-%{version}-%{snapshot}.tar.gz
Source1:	rngd.init
Source2:	rngd.sysconfig
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
BuildPreReq: 	/usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf groff gettext

Obsoletes:	kernel-utils

%description
Hardware random number generation tools.

%prep
%setup -q -n rng-tools-%{version}-%{snapshot}

%build
./autogen.sh
%configure --without-libgcrypt
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}/%{_initrddir}/rngd
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 640 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/rngd

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add rngd

%preun
if [ $1 -eq "0" ]; then
   /sbin/service rngd stop > /dev/null 2>&1
   /sbin/chkconfig --del rngd
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/sysconfig/rngd
%attr(0755,root,root) %{_initrddir}/rngd
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_mandir}/man*/rng*

%changelog
* Fri Nov 15 2013 John Haxby <john.haxby@oracle.com> - 4-1
- Rebase to rng-tools-4 [orabug 17767145]
- Add fix for aes conditioning

* Tue Oct 29 2013 John Haxby <john.haxby@oracle.com> - 1:2.0-5.0.1
- Clean build process and introduce start script (John Haxby) [orabug 14406505]

* Fri Dec 16 2011 Jeff Garzik <jgarzik@redhat.com> - 1:2.0-5
- Add --ignorefail for FIPS failures
- Resolves: bz#754290

* Wed Oct 6 2010 Jay Fenlason <fenlason@redhat.com> 1:2.0-4
- Add dist tag to release
  Resolves: bz#640725

* Mon Aug 23 2010 Jeff Garzik <jgarzik@redhat.com> - 1:2.0-4
- Resolves: bz#461716
- Fix spec build error relating to directory naming

* Mon Aug 23 2010 Jeff Garzik <jgarzik@redhat.com> - 1:2.0-3
- Resolves: bz#461716
- Fix spec build error

* Mon Aug 23 2010 Jeff Garzik <jgarzik@redhat.com> - 1:2.0-2
- Resolves: bz#461716
- Add TPM patch plus all fixes.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:2.0-1.13.1
- rebuild

* Mon Feb 13 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Apr 13 2005 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Use $RPM_OPT_FLAGS

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.
